## ros-melodic-moveit-chomp-optimizer-adapter 1.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_chomp_optimizer_adapter)

if(NOT "${CMAKE_CXX_STANDARD}")
  set(CMAKE_CXX_STANDARD 14)
endif()
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  chomp_motion_planner
  pluginlib
  )

catkin_package()

include_directories(${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/chomp_optimizer_adapter.cpp)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(FILES chomp_optimizer_adapter_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-moveit-chomp-optimizer-adapter (1.0.7-1stretch) stretch; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (1.0.6-1stretch) stretch; urgency=high

  * [maint] Migrate to clang-format-10
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (1.0.5-1stretch) stretch; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 08 Jul 2020 06:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (1.0.4-1stretch) stretch; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 30 May 2020 06:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (1.0.3-1stretch) stretch; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 26 Apr 2020 06:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (1.0.2-1stretch) stretch; urgency=high

  * [fix] Chomp planning adapter: Fix spurious error message Fix "Found empty JointState message"
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 28 Jun 2019 06:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (1.0.1-1stretch) stretch; urgency=high

  * [fix] segfault in chomp adapter (#1377 <https://github.com/ros-planning/moveit/issues/1377>)
  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 08 Mar 2019 07:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (1.0.0-1stretch) stretch; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 24 Feb 2019 07:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (0.10.8-1stretch) stretch; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 24 Dec 2018 07:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (0.10.7-1stretch) stretch; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 13 Dec 2018 07:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (0.10.6-1stretch) stretch; urgency=high

  * [maintenance] Moved CHOMP optimizer into own package (#1251 <https://github.com/ros-planning/moveit/issues/1251>)
  * rename default_planner_request_adapters/CHOMPOptimizerAdapter -> chomp/OptimizerAdapter
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 09 Dec 2018 07:00:00 -0000

=== debian/control ===
Source: ros-melodic-moveit-chomp-optimizer-adapter
Section: misc
Priority: optional
Maintainer: Raghavender Sahdev <raghavendersahdev@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-chomp-motion-planner, ros-melodic-moveit-core, ros-melodic-pluginlib (>= 1.11.2)
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-moveit-chomp-optimizer-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-chomp-motion-planner, ros-melodic-moveit-core, ros-melodic-pluginlib (>= 1.11.2)
Description: MoveIt planning request adapter utilizing chomp for solution optimization

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-moveit-chomp-optimizer-adapter//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-moveit-chomp-optimizer-adapter 1.0.11

=== debian/changelog ===
ros-melodic-moveit-chomp-optimizer-adapter (1.0.11-1bionic) bionic; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (1.0.10-1bionic) bionic; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (1.0.9-1bionic) bionic; urgency=high

  * Use mailto:moveit-resources@master (#2951 <https://github.com/ros-planning/moveit/issues/2951>)
    
      * Simplify launch files to use the test_environment.launch files from mailto:moveit_resources@master
      * Provide compatibility to the Noetic-style configuration of (multiple) planning pipelines
        Only a single pipeline can be used at a time, specified via the ~default_planning_pipeline parameter.
    
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (1.0.8-1bionic) bionic; urgency=high

  * Enable mesh filter (#2448 <https://github.com/ros-planning/moveit/issues/2448>)
  * Sanitize CHOMP initialization method parameter (#2540 <https://github.com/ros-planning/moveit/issues/2540>)
  * Contributors: Cong Liu, Jafar Abdi

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (1.0.7-1bionic) bionic; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (1.0.6-1bionic) bionic; urgency=high

  * [maint] Migrate to clang-format-10
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (1.0.5-1bionic) bionic; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Tue, 07 Jul 2020 22:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (1.0.4-1bionic) bionic; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 29 May 2020 22:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (1.0.3-1bionic) bionic; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 25 Apr 2020 22:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (1.0.2-1bionic) bionic; urgency=high

  * [fix] Chomp planning adapter: Fix spurious error message Fix "Found empty JointState message"
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 27 Jun 2019 22:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (1.0.1-1bionic) bionic; urgency=high

  * [fix] segfault in chomp adapter (#1377 <https://github.com/ros-planning/moveit/issues/1377>)
  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 07 Mar 2019 23:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (1.0.0-1bionic) bionic; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 23 Feb 2019 23:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (0.10.8-1bionic) bionic; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 23 Dec 2018 23:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (0.10.7-1bionic) bionic; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 12 Dec 2018 23:00:00 -0000

ros-melodic-moveit-chomp-optimizer-adapter (0.10.6-1bionic) bionic; urgency=high

  * [maintenance] Moved CHOMP optimizer into own package (#1251 <https://github.com/ros-planning/moveit/issues/1251>)
  * rename default_planner_request_adapters/CHOMPOptimizerAdapter -> chomp/OptimizerAdapter
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 08 Dec 2018 23:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
